LLVM-TBLGEN(1)

NAME
llvm-tblgen - manual page for llvm-tblgen 8

DESCRIPTION
USAGE: llvm-tblgen [options] <input file>

OPTIONS:

Color Options:

-color - Use colors in output (default=autodetect)

General options:

-D=<macro name> - Name of the macro to be defined

-I=<directory> - Directory of include files

-d=<filename> - Dependency filename

    Action to perform:

-print-records - Print all records to stdout (default)

-dump-json - Dump all records as machine-readable JSON

-gen-emitter - Generate machine code emitter

-gen-register-info - Generate registers and register classes info

-gen-instr-info - Generate instruction descriptions

-gen-instr-docs - Generate instruction documentation

-gen-callingconv - Generate calling convention descriptions

-gen-asm-writer - Generate assembly writer

-gen-disassembler - Generate disassembler

-gen-pseudo-lowering - Generate pseudo instruction lowering

-gen-compress-inst-emitter - Generate RISCV compressed instructions.

-gen-asm-matcher - Generate assembly instruction matcher

-gen-dag-isel - Generate a DAG instruction selector

-gen-dfa-packetizer - Generate DFA Packetizer for VLIW targets

-gen-fast-isel - Generate a "fast" instruction selector

-gen-subtarget - Generate subtarget enumerations

-gen-intrinsic-enums - Generate intrinsic enums

-gen-intrinsic-impl - Generate intrinsic information

-gen-tgt-intrinsic-enums - Generate target intrinsic enums

-gen-tgt-intrinsic-impl - Generate target intrinsic information

-print-enums - Print enum values for a class

-print-sets - Print expanded sets for testing DAG exprs

-gen-opt-parser-defs - Generate option definitions

-gen-ctags - Generate ctags-compatible index

-gen-attrs - Generate attributes

-gen-searchable-tables - Generate generic binary-searchable table

-gen-global-isel - Generate GlobalISel selector

-gen-x86-EVEX2VEX-tables - Generate X86 EVEX to VEX compress tables

-gen-x86-fold-tables - Generate X86 fold tables

-gen-register-bank - Generate registers bank descriptions

-gen-exegesis - Generate llvm-exegesis tables

-o=<filename> - Output filename

Generic Options:

-help - Display available options (-help-hidden for more)

-help-list - Display list of available options (-help-list-hidden for more)

-version - Display the version of this program

Options for -gen-asm-matcher:

-match-prefix=<string> - Only match instructions with the given prefix

Options for -gen-asm-parser:

-asmparsernum=<uint> - Make -gen-asm-parser emit assembly parser #N

Options for -gen-asm-writer:

-asmwriternum=<uint> - Make -gen-asm-writer emit assembly writer #N

Options for -gen-dag-isel:

-instrument-coverage - Generates tables to help identify patterns matched

-omit-comments - Do not generate comments

Options for -gen-global-isel:

-gisel-coverage-file=<string> - Specify file to retrieve coverage information from

-instrument-gisel-coverage - Generate coverage instrumentation for GlobalISel

-optimize-match-table - Generate an optimized version of the match table

-warn-on-skipped-patterns - Explain why a pattern was skipped for inclusion in the GlobalISel selector

Options for -gen-register-info:

-register-info-debug - Dump register information to help debugging

Options for -print-enums:

-class=<class name> - Print Enum list for this class